Bug 1658050 - [Ganesha] Observed ganesha crash after setting 'ganesha.enable' to 'on' on volume which is not started
Summary: [Ganesha] Observed ganesha crash after setting 'ganesha.enable' to 'on' on vo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: libgfapi
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Girjesh Rajoria
QA Contact: Jilju Joy
URL:
Whiteboard:
Depends On:
Blocks: 1667407
TreeView+ depends on / blocked
 
Reported: 2018-12-11 06:53 UTC by Jilju Joy
Modified: 2020-06-10 12:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1667407 (view as bug list)
Environment:
Last Closed: 2020-03-12 10:57:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jilju Joy 2018-12-11 06:53:26 UTC
Description of problem:
-----------------------
Ganesha crashed after setting 'ganesha.enable' to 'on' on volume which is not started. Crash observed on all nodes in the cluster.

=============================================================================
Version-Release number of selected component (if applicable):
-------------------------------------------------------------
# rpm -qa | grep ganesha
glusterfs-ganesha-3.12.2-29.el7rhgs.x86_64
nfs-ganesha-2.5.5-10.el7rhgs.x86_64
nfs-ganesha-gluster-2.5.5-10.el7rhgs.x86_64

==============================================================================
How reproducible:
-----------------
2/2
=============================================================================

Steps to Reproduce:
------------------
1. Create a 6 node ganesha cluster.
2. Create a volume 'testvol'. Do not start the volume.
3. Set volume option 'ganesha.enable' to 'on' in 'testvol'.
4. Observe ganesha crash after sometime.

============================================================================
Actual results:
---------------
nfs-ganesha crashed on all nodes.

=============================================================================
Expected results:
-----------------
nfs-ganesha should not get crashed.

=============================================================================
Additional info:

Comment 6 Jiffin 2019-01-21 05:13:14 UTC
Patch posted upstream for review https://review.gluster.org/#/c/glusterfs/+/22062/

Comment 7 Mohit Agrawal 2019-11-22 04:54:10 UTC
@Girjesh,

 As we know jiffin is moved to ceph, can you please check this bug?

Thanks,
Mohit Agrawal

Comment 9 Yaniv Kaul 2020-03-11 08:48:07 UTC
(In reply to Jiffin from comment #6)
> Patch posted upstream for review
> https://review.gluster.org/#/c/glusterfs/+/22062/

And it's now abandoned. What's the plan to address this, if any? (moving back to NEW!)


Note You need to log in before you can comment on or make changes to this bug.